import { Http, HttpDefaults, HttpRequestOptions, IPathEventEmitter, PromiseProgress } from '@ztimson/utils';
export type Health = {
    status: 'offline' | 'ok' | 'degraded' | 'error';
    actions: HealthStatus;
    ai: HealthStatus;
    database: HealthStatus;
    email: HealthStatus;
    payments: HealthStatus;
    phone: HealthStatus;
    version: string;
    commit: string;
};
export type HealthStatus = 'disabled' | 'ok' | 'warn' | 'error';
export type ApiOptions = {
    http?: HttpDefaults;
    persist?: boolean;
};
export declare class Api extends Http implements IPathEventEmitter {
    readonly url: string;
    readonly opts: ApiOptions;
    private emitter;
    private pending;
    private storageKey;
    readonly host: string;
    private _token;
    get token(): string | null;
    set token(token: string | null);
    constructor(url?: string, opts?: ApiOptions);
    emit: (event: string | import('@ztimson/utils').PathEvent, ...args: any[]) => void;
    off: (listener: import('@ztimson/utils').PathListener) => void;
    on: (event: string | string[], listener: import('@ztimson/utils').PathListener) => import('@ztimson/utils').PathUnsubscribe;
    once: (event: string | string[], listener?: import('@ztimson/utils').PathListener) => Promise<any>;
    relayEvents: (emitter: IPathEventEmitter) => void;
    healthcheck(): PromiseProgress<any>;
    request<T>(options: HttpRequestOptions): PromiseProgress<T>;
}
//# sourceMappingURL=api.d.ts.map