import { Api } from './api';
import { PathEvent, PathEventEmitter } from '@ztimson/utils';
import { User } from './users';
export type AuthOptions = {
    /** Path to login page */
    loginUrl?: string;
};
export declare class Auth extends PathEventEmitter {
    private readonly opts;
    private readonly api;
    private _permissions;
    get permissions(): string[];
    set permissions(perms: string[]);
    private _user?;
    get user(): User | null | undefined;
    set user(user: User | null | undefined);
    constructor(api: Api | string, opts?: AuthOptions);
    filter: (...events: (string | PathEvent)[]) => PathEvent[];
    has: (...events: (string | PathEvent)[]) => boolean;
    hasAll: (...events: (string | PathEvent)[]) => boolean;
    hasFatal: (...events: (string | PathEvent)[]) => void;
    hasAllFatal: (...events: (string | PathEvent)[]) => void;
    knownHost(host?: string): Promise<void>;
    login(username: string, password: string, totp?: string): Promise<User | null>;
    loginRedirect(host?: string): Promise<string>;
    logout(): void;
    register(u: Partial<User> & {
        username: string;
        password: string;
    }): Promise<User>;
    reset(password: string, token?: string): Promise<void>;
    reset(email: string): Promise<void>;
    session(token?: string, set?: boolean): Promise<{
        token: string;
        user: User;
        permissions: string[];
    } | null>;
    updatePassword(username: string, password: string, oldPassword?: string): Promise<void>;
    disableTotp(username: string): import('@ztimson/utils').PromiseProgress<void>;
    enableTotp: (username: string) => import('@ztimson/utils').PromiseProgress<void>;
    resetTotp(username: string): import('@ztimson/utils').PromiseProgress<void>;
    setupTotp(username: string, method?: string, totp?: string): import('@ztimson/utils').PromiseProgress<void>;
}
//# sourceMappingURL=auth.d.ts.map