import { PathEventEmitter } from '@ztimson/utils';
import { Api } from './api';
import { Settings } from './settings';
export type Platform = 'windows' | 'android' | 'ios' | 'mac' | 'linux' | 'unknown';
export declare class Client extends PathEventEmitter {
    private api;
    private readonly settings;
    get mobile(): boolean;
    private _notifications;
    get notifications(): boolean;
    private set notifications(value);
    private _platform?;
    get platform(): Platform;
    get pushSubscription(): Promise<PushSubscription | null>;
    private _pwa?;
    get pwa(): boolean;
    constructor(api: Api, settings: Settings);
    inject(reload?: boolean, firstLoad?: boolean): Promise<void>;
    pwaPrompt(platform?: 'android' | 'ios'): void;
    enableNotifications(): Promise<string | null>;
    disableNotifications(): Promise<void>;
}
//# sourceMappingURL=client.d.ts.map