import { PathEvent } from '@ztimson/utils';
export type Meta = {
    _id?: string | any;
    _createdBy: string;
    _createdDate: Date;
    _updatedBy: string;
    _updatedDate: Date;
};
export type NotificationMethod = 'call' | 'email' | 'notification' | 'sms';
export type Notification = {
    event: string;
    method: NotificationMethod[];
    subject?: string | ((event: PathEvent, ...args: any[]) => string);
    body: string | ((event: PathEvent, ...args: any[]) => string);
    link?: string;
};
/**
 * Recursive type for defining tree data
 */
export type TreeNode<T> = T & {
    name: string;
    children: TreeNode<T>[];
};
//# sourceMappingURL=core.d.ts.map