import { Cache, PathEventEmitter } from '@ztimson/utils';
import { Api } from './api';
import { Meta, Notification } from './core';
export type Group = Meta & {
    name: string;
    description?: string;
    notes?: string;
    users: string[];
    notifications: Notification[];
    permissions: string[];
    custom: any;
};
export declare class Groups extends PathEventEmitter {
    private readonly api;
    cache: Cache<string, Group>;
    constructor(api: Api | string);
    all(reload?: boolean): Promise<Group[]>;
    delete(name: string): Promise<void>;
    create(group: Group): Promise<Group>;
    read(name: string, reload?: boolean): Promise<Group>;
    update(group: Group): Promise<Group>;
}
//# sourceMappingURL=groups.d.ts.map