import { Actions } from './actions';
import { Ai } from './ai';
import { Analytics } from './analytics';
import { Api, ApiOptions } from './api';
import { Auth, AuthOptions } from './auth';
import { Data } from './data';
import { Email } from './email';
import { Forms } from './forms';
import { Groups } from './groups';
import { PathEventEmitter } from '@ztimson/utils';
import { Logger, LogLevel } from './logger';
import { Payments } from './payments';
import { Pdf } from './pdf';
import { Socket } from './sockets';
import { Storage } from './storage';
import { Client } from './client';
import { Users } from './users';
import { Settings } from './settings';
import { Static } from './static';
export type MomentumOptions = ApiOptions & AuthOptions & {
    /** Name of application for logging */
    app?: string;
    /** Disable service worker */
    disableWorker?: boolean;
    /** Automatically save console events that meet log level */
    logLevel?: LogLevel;
    /** Connect to socket for live updates */
    socket?: boolean;
    /** Enable payment processing */
    stripeSecret?: string;
};
export declare class Momentum extends PathEventEmitter {
    api: Api;
    actions: Actions;
    ai: Ai;
    analytics: Analytics;
    auth: Auth;
    client: Client;
    data: Data;
    email: Email;
    forms: Forms;
    groups: Groups;
    logger: Logger;
    payments: Payments;
    pdf: Pdf;
    settings: Settings;
    socket?: Socket;
    static: Static;
    storage: Storage;
    users: Users;
    constructor(url?: string, opts?: MomentumOptions);
}
//# sourceMappingURL=momentum.d.ts.map